-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local level = tonumber(ProcessingFlow[7].Destination.RAIDType)

if level <= 60 then
    return string.format('RAID%u', level)
end

if level == 17 then
    return 'RAID1E'
end

if level == 11 then
    return 'RAID1(ADM)'
end

if level == 12 then
    return 'RAID10(ADM)'
end

if level == 13 then
    return 'RAID1Triple'
end

if level == 14 then
    return 'RAID10Triple'
end

return null
